`timescale 1 ns/1 ps

module testbench;

localparam DELAY = 100;
localparam N = 8;

reg  [N-1:0] test_a, test_b;
wire [N-1:0] test_c;
wire         test_ov;

integer i, j;

adder 
#(
   .N (N      )
) uut (
   .a (test_a ),
   .b (test_b ),
   .c (test_c ),
   .ov(test_ov)
);

initial begin
   for (i=0; i<2**N-1; i=i+1) begin
      for (j=0; j<2**N-1; j=j+1) begin
         test_a = i; test_b = j; #DELAY;
      end
   end
   $stop;
end

endmodule